"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const react_native_1 = require("react-native");
const react_native_dynamic_vector_icons_1 = tslib_1.__importDefault(require("react-native-dynamic-vector-icons"));
const react_native_linear_gradient_1 = tslib_1.__importDefault(require("react-native-linear-gradient"));
/**
 * ? Local Imports
 */
const Button_style_1 = tslib_1.__importStar(require("./Button.style"));
const Button = ({ style, text, solid, outline, gradient, textStyle, iconDisable, shadowStyle, outlineStyle, backgroundColor = "#757575", ...rest }) => {
    const renderGradient = () => {
        return (<react_native_linear_gradient_1.default start={{ x: 0, y: 0 }} end={{ x: 1, y: 0 }} style={[Button_style_1.default.container, style]} colors={["#FFAFBD", "#ffc3a0"]} {...rest}>
        {renderContent()}
      </react_native_linear_gradient_1.default>);
    };
    const setSolidStyle = () => {
        return Button_style_1._solidStyle(backgroundColor);
    };
    const setOutlineStyle = () => {
        return [Button_style_1.default.outlineStyle, outlineStyle];
    };
    const selectStyle = () => {
        if (solid)
            return setSolidStyle();
        else if (outline)
            return setOutlineStyle();
        else if (gradient)
            return null;
        else
            return setOutlineStyle();
    };
    const renderContent = () => {
        return (<react_native_1.View style={Button_style_1.default.contentStyle}>
        {!iconDisable && (<react_native_dynamic_vector_icons_1.default name="star" type="FontAwesome" color="white" size={15} {...rest}/>)}
        <react_native_1.Text style={[Button_style_1.default.textStyle, textStyle]}>{text}</react_native_1.Text>
      </react_native_1.View>);
    };
    return (<react_native_1.View style={!outline && [Button_style_1.default.shadowStyle, shadowStyle]}>
      <react_native_1.TouchableOpacity style={[Button_style_1.default.container, selectStyle(), style]} {...rest}>
        {gradient && renderGradient()}
        {!gradient && renderContent()}
      </react_native_1.TouchableOpacity>
    </react_native_1.View>);
};
exports.default = Button;
//# sourceMappingURL=Button.js.map